Bug 27794 - Add link to biblio in lateorders page
Summary: Add link to biblio in lateorders page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-25 13:38 UTC by Séverine Queune
Modified: 2021-03-22 16:12 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch modifies the display of bibliographic records in the acquisitions report of late orders so that the title of the record is a link to the corresponding bibliographic details page.
Version(s) released in:
21.05.00,20.11.04,20.05.10


Attachments
Bug 27794: Add link to biblio in lateorders page (1.57 KB, patch)
2021-02-25 14:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27794: Add link to biblio in lateorders page (1.63 KB, patch)
2021-02-25 14:40 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27794: Add link to biblio in lateorders page (1.73 KB, patch)
2021-02-26 08:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2021-02-25 13:38:59 UTC
On /cgi-bin/koha/acqui/lateorders.pl page, it could be helpful if the title in "Information" cell was a link to the bibliographic record.
Comment 1 Owen Leonard 2021-02-25 14:27:21 UTC
Created attachment 117328 [details] [review]
Bug 27794: Add link to biblio in lateorders page

This patch modifies the late orders page so that the late order title
uses the "biblio-title" include to display a standard title with a link
to the bibliographic detail page.

To test, apply the patch and go to Acquisitions -> Late orders.

In the table of late orders, confirm that the title display correctly
and links to the correct bibliographic record.
Comment 2 PTFS Europe Sandboxes 2021-02-25 14:40:25 UTC
Created attachment 117330 [details] [review]
Bug 27794: Add link to biblio in lateorders page

This patch modifies the late orders page so that the late order title
uses the "biblio-title" include to display a standard title with a link
to the bibliographic detail page.

To test, apply the patch and go to Acquisitions -> Late orders.

In the table of late orders, confirm that the title display correctly
and links to the correct bibliographic record.

Signed-off-by: Severine QUEUNE <severine.queune@bulac.fr>
Comment 3 Séverine Queune 2021-02-25 14:43:42 UTC
Thanks so much Owen for your speed and efficiency !
Comment 4 Marcel de Rooy 2021-02-26 08:42:15 UTC
Created attachment 117365 [details] [review]
Bug 27794: Add link to biblio in lateorders page

This patch modifies the late orders page so that the late order title
uses the "biblio-title" include to display a standard title with a link
to the bibliographic detail page.

To test, apply the patch and go to Acquisitions -> Late orders.

In the table of late orders, confirm that the title display correctly
and links to the correct bibliographic record.

Signed-off-by: Severine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Jonathan Druart 2021-03-01 14:24:33 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-03-04 10:46:23 UTC
Trivial enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.04
Comment 7 Andrew Fuerste-Henry 2021-03-14 18:36:49 UTC
Pushed to 20.05.x for 20.05.11
Comment 8 Andrew Fuerste-Henry 2021-03-14 18:50:45 UTC
Er, 20.05.10, that is.
Comment 9 Victor Grousset/tuxayo 2021-03-22 16:12:22 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.